import { Card, CardContent, Typography } from "@mui/material";
import Image from "next/image";
import Link from "next/link";

// this is a single game helper-component, only for design purposes
export default function Game({ id, name, cover }: { id: number, name: string, cover: { url: string } }) {
    return (
        <Card sx={{ maxWidth: 264 }} variant="outlined" >
            <Link href={`/games/${id}`}>
                <Image src={cover.url} alt={name} width={264} height={374} priority={true} style={{ width: '100%', height: '100%' }} />
            </Link>
            <CardContent>
                <Typography noWrap={true}>{name}</Typography>
            </CardContent>
        </Card>
    )
}